.pressure {
  color: #fff;
  left: 0;
  position: fixed;
  top: 0;
}

body {
  background: #111;
  cursor: none;
  margin: 0;
  overflow: hidden;
}
body.modal-open {
  cursor: default;
}

canvas {
  height: 100vh;
  width: 100vw;
  touch-action: none;
}

.osc {
  left: 0px;
  position: fixed;
  top: 0px;
}

.controls {
  position: fixed;
  z-index: 10;
  left: 0;
  bottom: 0;
}

.playpause {
  background: #AAB;
  padding: 10px;
}

.playpause label {
  display: block;
  box-sizing: border-box;
  width: 0;
  height: 20px;
  cursor: pointer;
  border-color: transparent transparent transparent #202020;
  transition: 100ms all ease;
  will-change: border-width;
  border-style: double;
  border-width: 0px 0 0px 20px;
}

.playpause input[type=checkbox] {
  visibility: hidden;
}

.playpause.checked label {
  border-style: double;
  border-width: 0px 0 0px 20px;
}

.playpause label {
  border-style: solid;
  border-width: 10px 0 10px 20px;
}

/* } */
.modal-open .brushSizeIndicator {
  display: none;
}
.brushSizeIndicator {
  border: 1px solid #FFF;
  border-radius: 100%;
  mix-blend-mode: difference;
  position: fixed;
  pointer-events: none;
  z-index: 2;
}

.controls {
  display: flex;
}

.button {
  background: #333;
  border: 1px solid #000;
  cursor: pointer;
  height: 50px;
  margin: none;
  width: 50px;
}
.button svg {
  height: 100%;
  width: 100%;
}

.button--brush .light {
  display: none;
}

.button--brush.light .light {
  display: block;
}
.button--brush.light .brush {
  display: none;
}

.button--upload {
  box-sizing: border-box;
  padding: 5px;
}

.button--brush:hover ~ .tooltip {
  display: block !important;
}
.button--brush:hover ~ .tooltip::after {
  content: "Toggle brush/light";
}

.button--download:hover ~ .tooltip {
  display: block !important;
}
.button--download:hover ~ .tooltip::after {
  content: "Download image";
}

.button--clear:hover ~ .tooltip {
  display: block !important;
}
.button--clear:hover ~ .tooltip::after {
  content: "Clear";
}

.button--save:hover ~ .tooltip {
  display: block !important;
}
.button--save:hover ~ .tooltip::after {
  content: "Download save file";
}

.button--upload:hover ~ .tooltip {
  display: block !important;
}
.button--upload:hover ~ .tooltip::after {
  content: "Upload save file";
}

.tooltip {
  background: #333;
  border: 1px solid black;
  color: #EEE;
  font-family: sans-serif;
  font-size: 15px;
  padding: 5px;
}

#uploadInput {
  display: none;
}

div.modal {
  align-content: center;
  background: rgba(200,200,200,.5);
  display: grid;
  height: 100vh;
  justify-content: center;
  left: 0px;
  /* pointer-events: none; */
  position: fixed;
  top: 0px;
  width: 100vw;
}

div.modal .dialog {
  background: #EEE;
  border: 1px solid #CCC;
  border-radius: 3px;
  box-shadow: 0px 0px 20px rgba(255,255,255,.5);
  font-family: sans-serif;
  font-size: 15px;
  padding: 10px;
  pointer-events: all;
  text-align: center;
}
div.modal .dialog p {
  margin-top: 0;
}
a {
  color: #333;
}